/*
Jeff Branyon
November 13, 2022
Section 4
Lab 10A
This program reads in the pixels of an image, then prints that same image back
out to a new file. 
This file contains the function for filling the new image array with the old
image values. 
*/

#include "defs.h"

// This function inputs the image array, width, and height; assigns the pixel 
// values to the array, and returns nothing;
	void fillImageArray(pixel_t theImage[], int width, int height) {
		int i;
		pixel_t color; 

		for(i = 0; i < height * width; i++) {
			fscanf(stdin, "%u", &color.r);
			fscanf(stdin, "%u", &color.g);
			fscanf(stdin, "%u", &color.b);

			theImage[i] = color;
		}
	}

